Bug 59866 - Authentication Failure: Single quote in Apple Developer account password
Summary: Authentication Failure: Single quote in Apple Developer account password
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS code signing (show other bugs)
Version: 7.1 (d15-3)
Hardware: Macintosh Mac OS
: High major
Target Milestone: 15.5
Assignee: Oleg Demchenko
URL:
Depends on:
Blocks:
 
Reported: 2017-09-29 18:06 UTC by David Greene
Modified: 2017-10-17 08:22 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description David Greene 2017-09-29 18:06:45 UTC
Issue:
-In Visual Studio Community for Mac 7.1.5 (build 2) in Preferences -> Apple Developer Account it will not allow an apple account to be added if that account's password contains a single quote character.
-No error is displayed in the UI to indicate that a problem has occurred, the account simply fails to be added.
-Other versions have not been tested (yet)

Expected Behavior:
A password containing any combination of characters can be used.

Reproduce:
-Create an Apple Developer account with a password containing a single quote (')
-Open Visual Studio for Mac
-Navigate to Visual Studio > Preferences > Apple Developer Accounts (under publishing)
-Click + to add a new account
-Enter the Apple Developer account credentials 
-Observe failure of the account being added. 

Error in log:
2017-09-29 09:39:44.936 VisualStudio[587:5728] message: process_create: Unfinished quote.
2017-09-29 09:39:44.936 VisualStudio[587:5728] message: process_create: Unfinished quote.
ERROR [2017-09-29 09:39:44Z]: Authentication failed: authentication provider failed
Comment 1 Gaurav Ganorkar 2017-10-04 09:14:01 UTC
Verified bug on following build configuration:

Version 7.3 Preview (7.3 build 647)
Mono 5.4.0.203 (2017-06/0dd35e9d647) (64-bit)
Xamarin.iOS Version: 11.4.0.67 (Visual Studio Enterprise)
Xamarin.Android Version: 8.1.0.19 (Visual Studio Enterprise)
Xamarin.Mac Version: 4.0.0.67 (Visual Studio Enterprise)
Apple Developer Tools Xcode 9.0 (13247)

Build Taken From:
https://bosstoragemirror.azureedge.net/wrench/monodevelop-lion-fix-59866-d15-5/49/49c7af3f45d6d5ee34181b27fe357f6cc9d93133/VisualStudioForMac-Preview-7.3.0.647.dmg

Test Plan executed:
https://testrail.xamarin.com/index.php?/plans/view/52706

Verified with apple account having password as !@#$'", able to login successfully.
No error observed.

Keeping issue as Resolved for now to verify again at release branch, then mark as Verified.
Comment 2 Neeraj Deshmukh 2017-10-17 08:22:07 UTC
Visual Studio Community 2017 for Mac (Preview)
Version 7.3 Preview (7.3 build 710)
Installation UUID: 8f724ef7-6cbf-40ca-8af8-b7d44b08e9c6
Runtime:
	Mono 5.4.1.4 (2017-06/c6605763a36) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

Complete Build Info:
https://gist.github.com/neerajdeshmukh/7bb4027a654665aff2f1b34f1f5cb985

Verified with apple account having password as !@#$'", able to login successfully.
No error observed. Hence marking bug as QA Verified.